## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate litrs

Name:           rust-litrs
Version:        0.4.1
Release:        %autorelease
Summary:        Parse and inspect Rust literals

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/litrs
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Parse and inspect Rust literals (i.e. tokens in the Rust programming
language representing fixed values). Particularly useful for proc
macros, but can also be used outside of a proc-macro context.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+check_suffix-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+check_suffix-devel %{_description}

This package contains library source intended for building other packages which
use the "check_suffix" feature of the "%{crate}" crate.

%files       -n %{name}+check_suffix-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+proc-macro2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+proc-macro2-devel %{_description}

This package contains library source intended for building other packages which
use the "proc-macro2" feature of the "%{crate}" crate.

%files       -n %{name}+proc-macro2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-xid-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-xid-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-xid" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-xid-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Oct 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-1
- Update to version 0.4.1; Fixes RHBZ#2244890

* Fri Aug 11 2023 Kalev Lember <klember@redhat.com> - 0.4.0-1
- Initial Fedora packaging (rhbz#2230724)
## END: Generated by rpmautospec
